<!--Navbar-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
  <a class="navbar-brand" href="#">Click & Clean</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item">
        <a class="nav-link" routerLink="../../index">Inicio </a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../service">Servicios</a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../profile">Perfil</a>
      </li>
      <li class="nav-item active">
        <a class="nav-link" routerLink="../products">Productos
        </a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../cart">Carrito <mat-icon class="badge-icon" [matBadge]="carrito"></mat-icon>
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="../contracts">Mis Contratos
        </a>
      </li>
    </ul>
    <ng-template [ngIf]="user==null" [ngIfElse]="cuenta">
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/login">Iniciar sesión</button>
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/register"
        style="margin-left: 10px;">Registrarse</button>
    </ng-template>
    <ng-template #cuenta>
      <span class="usuario-menu">{{user.nombre_usuario}}</span>
      <button class="btn btn-info btn-sm" type="button" (click)="logout()">Cerrar sesión</button>
    </ng-template>
  </div>
</nav>
<!--/.Navbar-->
<section class="bg-light first-section" style="min-height: 400px;">
  
  <div class="container">
    <ng-template [ngIf]="productos!=null">
      <div class="row">
      <ng-container *ngFor="let producto of productos" >
        <div class="col-sm-6 col-md-4 col-lg-3" style="margin-top: 10px; ">
          <mat-card  style="min-height: 100%;">
            <img [src]="servidor+'/imagenes/'+producto.imagen_producto"
                        class="img-responsive img_producto" onerror="this.onerror=null;this.src='../../../assets/images/logo_cc_b.png';">
            <h5 style="text-align: center; margin-top: 5px;">${{producto.precio_producto | number:'0.2-2'}} </h5>
            <mat-card-content>
             <br> <span class="text-bottom">{{producto.nombre_producto}}</span>
              <button mat-mini-fab color="warn" aria-label="Agregar carrito" style="right: -15px; position: absolute; top: 0;" (click)="agregarCarrito(producto.id_producto,1)">
                <mat-icon>add_shopping_cart</mat-icon></button>
            </mat-card-content>
            
          </mat-card>
        </div>
        
      </ng-container>
    </div>
    </ng-template>
  </div>
</section>